Skip to main content
POST
Python
Remix Audio Using Prompt and Optional Lyrics This endpoint allows users to remix an input audio file or URL using a descriptive prompt, optional lyrics, and a gender selection for vocal tone.

Endpoint


Request Parameters

Note: Either audio_file or audio_url must be provided.
content-type: multipart/form-data

Sample Output

Listen to a real output: Prompt: remix in classical slow vibe - audio input : Moana How Far We will Go. Download Audio

Try it Yourself

Use the Remix Endpoint Explorer to test this endpoint live.

Webhook Delivery

Once the generation is complete, webhooks will be triggered to deliver the following:

Standard Requests (non-instrumental):

  • 2 (webhooks) x Remix conversion details (one per version)
  • 2 (webhooks) x Lyrics with timestamp data
  • 1 Album Cover Image
Webhook responses include detailed metadata including task_id, conversion_id, audio files (conversion_path), lyrics etc.

Sample Request

cURL

Python


Sample Response

Success (200 OK)


Webhook Sample Payload

Remix Webhook
Album Cover Webhook
Lyrics Timestamp Webhook

Common Errors

  • 422 Unprocessable Entity Missing required field prompt, or neither audio_file nor audio_url provided.
  • 500 Internal Server Error An error occurred during processing or task queueing.

Payload and Request Formation

Authorizations

Authorization
string
header
required

Body

multipart/form-data
audio_url
string
required

Input audio URL (supported format: YouTube URL).

Example:

"https://mybucket.s3.amazonaws.com/song.mp3"

prompt
string
required

Describes how the audio should be transformed.

Example:

"Make it sound like Lo-fi with chill beats"

audio_file
file

Uploaded audio file to be remixed.

lyrics
string

Optional lyrics to guide vocal generation.

Maximum string length: 2000
Example:

"It's a brand new day"

title
string

Title of the generated music track

gender
enum<string>

Voice style if vocal content is generated.

Available options:
male,
female,
neutral
Example:

"female"

generate_album_cover
boolean
default:false

Whether to generate an album cover for the generated audio

lyrics_timestamps
boolean
default:false

Whether to generate timestamps for the lyrics

webhook_url
string

Callback URL for async processing results.

Example:

"https://example.com/my-webhook"

Response

Successful response

success
boolean
message
string
task_id
string
conversion_id_1
string
conversion_id_2
string
is_flagged
boolean
reason
string
eta
integer
status
string
credit_estimate
number
error_message
string
error_message_detail
string
missing_input_fields
string
predicted_user_intent
string